DECLARE @IUserName NVARCHAR(50)
SET @IUserName = N'ali'

SELECT    tblMembers.IUserName AS MemnrUserName, tblMembers.IUserPhone AS MemberPhone
FROM         dbo.tblUsers AS Usr INNER JOIN
                      dbo.tblGroups AS Gp ON Usr.IUserID = Gp.GroupCreatorID INNER JOIN
                      dbo.tblGroupMembers AS Mgp ON Gp.GroupID = Mgp.GroupID INNER JOIN
                      dbo.tblUsers AS tblMembers ON Mgp.UserID = tblMembers.IUserID
WHERE     (Usr.IUserName = @IUserName)
GROUP BY tblMembers.IUserName, tblMembers.IUserPhone
HAVING      (tblMembers.IUserName <> @IUserName)
ORDER BY MemnrUserName


